Bug 121699 - Lots of menu buttons and icons are greyed out and Calc file window cannot be closed
Summary: Lots of menu buttons and icons are greyed out and Calc file window cannot be ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-UX Regressions-Dialog-Tunneling
  Show dependency treegraph
 
Reported: 2018-11-24 19:36 UTC by Ahiijny
Modified: 2020-10-20 10:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ahiijny 2018-11-24 19:36:54 UTC
Description:
Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: en-CA (en_CA); Calc: CL

I came across this bug when I was playing around with conditional formatting in one Calc file, and then got sidetracked and opened another Calc file while the conditional formatting dialog in the first file was still open.

This second Calc file seems to be stuck in some sort of super limited mode: All of the icons in the toolbars are greyed out, and most main menu buttons are greyed out, including "File > Exit" and "File > Save", but not "File > New". I can select cells and type text, but when I hit enter, the words just disappear and the cell becomes blank. 

The second Calc file window remains stuck in this state even after I close the conditional formatting dialog in the first file window. The strangest thing about this state is that it is not possible to close the window. The first Calc file window is unaffected; I could close that normally without any issues. But for the second Calc file window, Alt + F4 and clicking the X in the top-right corner had no effect. The only thing that worked was killing the process through Task Manager.

Steps to Reproduce:
1. Open a spreadsheet file in Calc.
2. Open Format > Conditional > Condition...
3. Open another spreadsheet file, either by clicking File > New > Spreadsheet or by double-clicking another spreadsheet file in explorer (it's the same either way).

Actual Results:
The file that opens will not be closeable, and most of icons and menu buttons will be greyed out.

Expected Results:
The file window should open in a normal clickable state.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Joel Madero 2018-11-24 22:34:53 UTC
Linux Mint 19
Version: 6.3.0.0.alpha0+
Build ID: cf6b3bece7d46878302075329c72c7541c65bbd0
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

So I can confirm the behavior. More interesting is that once the conditions dialog is closed, options are no longer grayed out on the first sheet (the one where the conditions dialog was opened) but are still grayed out on the second.

That being said, minor issue, doesn't prevent high quality work. Adjusting priority/severity.

@Ahiijny - if you have time to test against 3.3 that would help us identify whether this is a regression or whether it's always been this way. https://downloadarchive.documentfoundation.org/libreoffice/old/3.3.0.4/

If you can confirm same behavior on 3.3 then please update version to "inherited from OOo", if it's not in 3.3 then let's throw "regression" into the keywords. If it's a regression and you care to help narrow the issue, please jump into our chat and we'll help you with the steps to narrow down the problem (no programming or super IT skills needed).

irc.documentfoundation.org/?settings=#libreoffice-qa
Comment 2 Oliver Brinzing 2018-11-25 15:04:23 UTC
> once the conditions dialog is closed, options are no longer grayed out
> on the first sheet (the one where the conditions dialog was opened)
> but are still grayed out on the second.

confirming with

Version: 6.1.2.1 (x64)
Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded

Version: 6.1.3.2 (x64)
Build-ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded

and 6.3 alpha

but i can *not* confirm this with:

Version: 6.0.7.1 (x64)
Build-ID: 5d2cb2a5dd04fe174b336488731eb50bbb5faed3
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

Version: 5.4.7.2
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.2; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: single

with LO 3.6 an 4.7: File New is not possible if dialog is open

AOO415m1(Build:9789)  -  Rev. 1817496
2017-12-11 17:25
Comment 3 Oliver Brinzing 2018-11-25 15:23:35 UTC
regression seems to be introduced by:

https://gerrit.libreoffice.org/plugins/gitiles/core/+/009d2756b1678477ec23d5647bd5004c4bff3a62

lokdialog: do not lock events when opened ScFilter Dialog
When exists 2 or more views and one of the views open the ScFilter dialog,
the other views are locked and no event process.
In tiled rendering case, collaborative editing is not functional with 2 or
more views are locked, so the patch prevents locking the other views

Change-Id: I0133d38ac5ecef4d3ebc22f3e922602704dcd0b3
Reviewed-on: https://gerrit.libreoffice.org/51370
Tested-by: Jenkins <ci@libreoffice.org>
Reviewed-by: Henry Castro <hcastro@collabora.com>

8149183b2cf8616d6aac8908e122f0752ccb9ce9 is the first bad commit
commit 8149183b2cf8616d6aac8908e122f0752ccb9ce9
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Mar 16 13:06:39 2018 -0700
    source sha:009d2756b1678477ec23d5647bd5004c4bff3a62
    source sha:009d2756b1678477ec23d5647bd5004c4bff3a62
:040000 040000 949dd828ab1a578a82eaef14429cc8daab044b81 d1865a4f7948563cf31fdcb4bfa38e60c07d064f M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.1
$ git bisect log
# bad: [1d66cc00ca6fd2e562cbed88704051b2f5d989e3] source sha:8d2abb388b0a2423c9b7e1f52373e1b06dd9786f
# good: [29d08f54c2f71ffee4fe12dbb24c5f5cbedecfd2] source sha:6eeac3539ea4cac32d126c5e24141f262eb5a4d9
git bisect start 'master' 'oldest'
# good: [3ac46f6c41b5044f162a451b10af0dc5afdcc113] source sha:22c7c3f54dbb93f856190c561b2540064c5a767d
git bisect good 3ac46f6c41b5044f162a451b10af0dc5afdcc113
# bad: [63fc3e0d41dd91f9fb3fe9891e009451285d9619] source sha:13a1bc409d9b2f0d14f4d316b7977b1fc2eb3c8a
git bisect bad 63fc3e0d41dd91f9fb3fe9891e009451285d9619
# bad: [a3c751701536f8f08dc728c64fe06f611cd6add9] source sha:b15f56816515f63b89eea254a590effba47fd56f
git bisect bad a3c751701536f8f08dc728c64fe06f611cd6add9
# good: [a9ce0c459219b925b8685e2e3449fb85e4709681] source sha:509c69a9936f6af051f4888bbc88b7f2678783b3
git bisect good a9ce0c459219b925b8685e2e3449fb85e4709681
# bad: [bddaebced90a5117099552c1d7c331cd853bdcd9] source sha:17407f808ed0ca5d65a98da186f7e2ab60dc641b
git bisect bad bddaebced90a5117099552c1d7c331cd853bdcd9
# bad: [e77c6a8d70403b65ebcfee3ebbc067ecbe8cb156] source sha:aaa28311ae81ee1dfdb64707c4f3f23baee80c0c
git bisect bad e77c6a8d70403b65ebcfee3ebbc067ecbe8cb156
# bad: [82c073f5275715514f6ec30002288ac6da0785f8] source sha:d416fa9a212e0421a7c925507ddee07132f3cab3
git bisect bad 82c073f5275715514f6ec30002288ac6da0785f8
# good: [4e47277530e2eaa7b2c03d054c233162f17ea0f0] source sha:a7e98725901412aa334a1abe87194e682c1ae836
git bisect good 4e47277530e2eaa7b2c03d054c233162f17ea0f0
# good: [168e19d8a7d5a7e813da6c052fb035b33e5bcd63] source sha:e568d233a3f9cbc926bfa12dac3fbc6d29a4b6c7
git bisect good 168e19d8a7d5a7e813da6c052fb035b33e5bcd63
# good: [eca26543dc4a7ea638df03b4c2f23f5b0d298aa9] source sha:be02ce71f2ee694fa2609a7a630853c24acfbfff
git bisect good eca26543dc4a7ea638df03b4c2f23f5b0d298aa9
# good: [d7051867c7f3ce89e7f1234b51ff14343b1d81ed] source sha:8015e0a15d1b8c454c26c645c7e8ebee9c4e1ee1
git bisect good d7051867c7f3ce89e7f1234b51ff14343b1d81ed
# good: [b351a5a79992f918f118e2e92d292e4d2f797ff4] source sha:5b75a1697250d8b2b6003c37067f39270a5ad828
git bisect good b351a5a79992f918f118e2e92d292e4d2f797ff4
# bad: [8149183b2cf8616d6aac8908e122f0752ccb9ce9] source sha:009d2756b1678477ec23d5647bd5004c4bff3a62
git bisect bad 8149183b2cf8616d6aac8908e122f0752ccb9ce9
# good: [1a541c9f507985845b8308f7846f72b4c19fbe81] source sha:8a8663a49b6d2ba297587c730860cc8ca9d139da
git bisect good 1a541c9f507985845b8308f7846f72b4c19fbe81
# first bad commit: [8149183b2cf8616d6aac8908e122f0752ccb9ce9] source sha:009d2756b1678477ec23d5647bd5004c4bff3a62
Comment 4 RickyTzou 2018-11-29 08:33:22 UTC
The bug is reproduced in this version
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded

Thank you!
Comment 5 Oliver Brinzing 2018-11-30 18:31:39 UTC
@Xisco: could you please have a look? imho this is a serious issue.
Comment 6 Oliver Brinzing 2020-04-19 05:52:20 UTC
still reproducible with:

Version: 6.4.3.2 (x64)
Build-ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 634a20dfda4371b485c9ce7932058c485aa5862b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: